package com.unis.base.server.dao;

import com.unis.base.common.vo.PriceMonitorQueryVo;
import com.unis.base.common.vo.PriceMonitorVO;
import com.unis.base.server.entity.TyJgjcxxbDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyJgjcxxbDao extends Mapper<TyJgjcxxbDO> {

    List<PriceMonitorVO> getPriceMonitorList(PriceMonitorQueryVo priceMonitorQueryVo);

    int insert(TyJgjcxxbDO record);

    int insertSelective(TyJgjcxxbDO record);
    TyJgjcxxbDO getPriceMonitorInfo(String jgxxid);

    int updateByPrimaryKey(TyJgjcxxbDO record);

    String getMaxCodeById(String lsxzbm);

    List<PriceMonitorQueryVo> getLevelMonthlyReport(PriceMonitorQueryVo priceMonitorQueryVo);
}
